package com.zcloud.domain.domain.gateway;

import com.zcloud.domain.domain.model.DomainDepartmentE;

/**
 * web-domain
 *
 * @Author zhaokai
 * @Date 2026-01-27 11:28:51
 */
public interface DomainDepartmentGateway {

    /**
     * 新增
     */
    Boolean add(DomainDepartmentE domainDepartmentE);

    /**
     * 修改
     */
    Boolean update(DomainDepartmentE domainDepartmentE);

    /**
     * 删除
     */
    Boolean deletedDomainDepartmentById(Long id);

    Boolean deletedDomainDepartmentByIds(Long[] id);
}

